Bug List: (This bug is not in your last search results)   Show last search results      Search page      Enter new bug
Bug#: 68806
Alias:
Product:
Component:
Status: RESOLVED
Resolution: DUPLICATE of bug 69283
Assigned To: Mobile Herd <mobile@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: Nils Marving <nils@marving.dk>
Add CC:
CC:
Remove selected CCs
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 68806 depends on: Show dependency tree
Bug 68806 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)


Not eligible to see or edit group visibility for this bug.






View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2004-10-25 04:17 0000
The net-wireless/hostap-utils-0.2.4.ebuild fails to emerge on a current
(2004-10-25) ~x86 installation. The fix is to apply the patch:

--- hostap-utils-0.2.4.ebuild.orig      2004-10-25 13:09:36.326599536 +0200
+++ hostap-utils-0.2.4.ebuild   2004-10-25 13:09:46.889993656 +0200
@@ -14,7 +14,7 @@
 DEPEND=">=net-wireless/hostap-driver-0.2.4"

 src_compile() {
-       emake CC="${CC}" CFLAGS="${CFLAGS}" || die
+       emake || die
 }

 src_install() {

Reproducible: Always
Steps to Reproduce:
1.
2.
3.

------- Comment #1 From Peter Johanson (RETIRED) 2004-10-25 09:08:55 0000 -------
*** Bug 68807 has been marked as a duplicate of this bug. ***

------- Comment #2 From Henrik Brix Andersen 2004-10-25 09:40:47 0000 -------
Please attach the full error message to this bug report.

------- Comment #3 From Nils Marving 2004-10-26 03:29:45 0000 -------
The build fails with:

>>> Source unpacked.
Os -march=pentium3 -pipe -fomit-frame-pointer   -c -o prism2_srec.o prism2_srec.c
make: Os: Command not found
make: [prism2_srec.o] Error 127 (ignored)
Os -march=pentium3 -pipe -fomit-frame-pointer   -c -o util.o util.c
make: Os: Command not found
make: [util.o] Error 127 (ignored)
Os -march=pentium3 -pipe -fomit-frame-pointer    hostap_crypt_conf.c   -o hostap_crypt_conf
make: Os: Command not found
make: [hostap_crypt_conf] Error 127 (ignored)
Os -march=pentium3 -pipe -fomit-frame-pointer   -c -o hostap_diag.o hostap_diag.c
make: Os: Command not found
make: [hostap_diag.o] Error 127 (ignored)
o hostap_io_debug -Os -march=pentium3 -pipe -fomit-frame-pointer hostap_io_debug.c
make: o: Command not found
make: [hostap_io_debug] Error 127 (ignored)
Os -march=pentium3 -pipe -fomit-frame-pointer   -c -o hostap_rid.o hostap_rid.c
make: Os: Command not found
make: [hostap_rid.o] Error 127 (ignored)
prism2_srec.o util.o   -o prism2_srec
make: prism2_srec.o: Command not found
make: *** [prism2_srec] Error 127

!!! ERROR: net-wireless/hostap-utils-0.2.4 failed.
!!! Function src_compile, Line 17, Exitcode 2

which looks like make tries to run the Os compiler...

Since it helped removing the CC and CFLAGS params, it could be another case of bad "'s. Doesn't emake use the CC and CFLAGS params per default anyway?

------- Comment #4 From Henrik Brix Andersen 2004-10-26 03:31:56 0000 -------
I wonder why ${CC} is unset on your system...

------- Comment #5 From Henrik Brix Andersen 2004-10-26 03:38:14 0000 -------
I've removed the $CC substitution in hostap-utils-0.2.4.ebuild version 1.2.

Wait a little while, emerge --sync, and see if this fixes the problem for you.

------- Comment #6 From Henrik Brix Andersen 2004-10-26 03:40:09 0000 -------
Btw, no. Portage doesn't automatically use $CC and $CFLAGS by default - it just
calls make. If the Makefile specifies alternate $CC or $CFLAGS it has to be
either overridden on the command line or substituted in the Makefile.

------- Comment #7 From Nils Marving 2004-10-26 05:42:00 0000 -------
Aha, so that is emake behaviour...

Yes there is no CC set on any of the Gentoo's I can currently reach, and they all run ~x86, and they are not identical in setup, just similar. One of them is newly built, still running in the chroot. emerge info has COMPILER="" though...

------- Comment #8 From Henrik Brix Andersen 2004-10-27 01:47:02 0000 -------
Did the change mentioned in comment #5 fix compilation for you?

------- Comment #9 From Nils Marving 2004-10-27 04:50:55 0000 -------
Yup, comment #5 is fine. Questions about CC continued in bug #68537

------- Comment #10 From Henrik Brix Andersen 2004-11-02 07:01:50 0000 -------
Reopening

------- Comment #11 From Henrik Brix Andersen 2004-11-02 07:02:26 0000 -------

*** This bug has been marked as a duplicate of 69283 ***

Bug List: (This bug is not in your last search results)   Show last search results      Search page      Enter new bug